const logger = require('../../utils/logger.js')
const dbtools = require('../../utils/dbtools.js')

const usersDBName = 'users'

// TODO: session

module.exports = function (options) {
  const { debugLog, authDB } = options

  return function (req, res, next) {
    if (debugLog) {
      logger.Log('AUTH: ' + req.url)
    }

    const user = GetUserByPW(authDB, req.cookies.pw)

    if (user) {
      next()
    } else {
      res.render('login')
    }
  }
}

function GetUserByPW (db, password) {
  return dbtools.Select(db, usersDBName, {
    pw: password
  })[0]
}
